Package org.apache.sling.servlets.resolver.internal.resource

# Class SlingServletConfig

java.lang.Object
org.apache.sling.servlets.resolver.internal.resource.SlingServletConfig

All Implemented Interfaces:
  `javax.servlet.ServletConfig`

public class SlingServletConfig extends Object implements javax.servlet.ServletConfig

## Constructor Summary

Constructors
Constructor
Description
`SlingServletConfig(javax.servlet.ServletContext servletContext, org.osgi.framework.ServiceReference<javax.servlet.Servlet> reference, String name)`
Sets up this base configuration object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getInitParameter(String name)`
`Enumeration<String>`
`getInitParameterNames()`
`Object`
`getServiceProperty(String key)`
`String[]`
`getServicePropertyKeys()`
`javax.servlet.ServletContext`
`getServletContext()`
`String`
`getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingServletConfig

public SlingServletConfig(javax.servlet.ServletContext servletContext, org.osgi.framework.ServiceReference<javax.servlet.Servlet> reference, String name)
Sets up this base configuration object.

Parameters:
  `servletContext` - The `ServletContext` attached to this configuration.
  `reference` - The service reference providing the initialization parameter values.
  `name` - The name of this configuration.

## Method Details

### getInitParameter

public String getInitParameter(String name)

Specified by:
  `getInitParameter` in interface `javax.servlet.ServletConfig`
See Also:
  - `ServletConfig.getInitParameter(java.lang.String)`

### getInitParameterNames

public Enumeration<String> getInitParameterNames()

Specified by:
  `getInitParameterNames` in interface `javax.servlet.ServletConfig`
See Also:
  - `ServletConfig.getInitParameterNames()`

### getServletContext

public javax.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `javax.servlet.ServletConfig`
See Also:
  - `ServletConfig.getServletContext()`

### getServletName

public String getServletName()

Specified by:
  `getServletName` in interface `javax.servlet.ServletConfig`
See Also:
  - `ServletConfig.getServletName()`

### getServiceProperty

public Object getServiceProperty(String key)

Returns:
  the value of an OSGi service property of this servlet (which can be an array that getInitParameter* messes up)

### getServicePropertyKeys

public String[] getServicePropertyKeys()

Returns:
  the OSGi service property keys of this servlet (which can be an array that getInitParameter* messes up)